summaryrefslogtreecommitdiffhomepage
path: root/test/e2e/validate.sh
diff options
context:
space:
mode:
authorIan Lewis <ianlewis@google.com>2019-01-15 16:41:01 +0900
committerLantao Liu <taotaotheripper@gmail.com>2019-01-14 23:41:01 -0800
commitbd2940861c282dfc39309bca94378c820ab7df7e (patch)
tree70792e8491bd57e82f56c2ec2c5c7680fc9bd4f9 /test/e2e/validate.sh
parent9e0866102bf53f50a0353775b7bb370fe77ee5b4 (diff)
End to end tests refs #3 (#10)
* Separate docs for containerd 1.1 and 1.2 The configuration for the untrusted workload annotation and runtime class are different enough that it makes sense to separate the docs. Commands in docs are taken from scripts in the docs/scripts directory. These scripts can be used later for integration & doc tests (#3). The docs can be updated using the embedmd tool: https://github.com/campoy/embedmd * Add basic e2e tests refs #3 Added end-to-end tests based on the quickstart workflows for containerd 1.1 and containerd 1.2+.
Diffstat (limited to 'test/e2e/validate.sh')
-rwxr-xr-xtest/e2e/validate.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/test/e2e/validate.sh b/test/e2e/validate.sh
new file mode 100755
index 000000000..b56b79d2a
--- /dev/null
+++ b/test/e2e/validate.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+# A sample script to validate a running nginx container.
+
+set -ex
+
+{ # Step 1: Inspect the pod
+sudo crictl inspectp ${SANDBOX_ID}
+}
+
+{ # Step 2: Inspect the container
+sudo crictl inspect ${CONTAINER_ID}
+}
+
+{ # Step 3: Check dmesg
+sudo crictl exec ${CONTAINER_ID} dmesg | grep -i gvisor
+}